Scribusoid

Recent Posts

Pages: 1 2 3 4 5 6 [7] 8 9 10
61
Installation and Setup / Re: CMake Error (variables not found)
« Last post by a.l.e on October 10, 2018, 10:14:53 am »
i would guess that you are missing libpoppler-cpp-dev ...

if you don't know about it, https://github.com/aoloe/scribus-manual-development/blob/master/content/getting-started/getting-started.md should have an uptodate list of dependencies... if it's not case bug reports and pull requests are very welcome : - )

ciao
a.l.e
62
Scripts and Plugins / Re: PNG Export - no background option?
« Last post by a.l.e on October 10, 2018, 10:11:20 am »
imo, just export to pdf and convert the pdf to png and taking care of transparencies.

imagemagick or pdf2image (python module) might be of help here...

in the worst case, it seems to be possible to do so with inkscape (which can be called from a python script):

https://stackoverflow.com/questions/46203639/converting-a-pdf-to-a-png-with-alpha-layer-transparency-capable-taking-way-too

imo, exporting to PNG from Scribus is only for preview purposes and having only a basic support is fine for me... as long as there are other ways to achieve the goal...

please keep us updated, if one of the hint above (or any other solution) did work for you...
63
Scripts and Plugins / PNG Export - no background option?
« Last post by Gibbz on October 10, 2018, 03:26:33 am »
I have a simple script to export my document as a png. I need access to the "no background" option. But cant find the api information for this.
How can I access this setting?

My script is currently bellow:
Code: [Select]
import scribus
img = scribus.ImageExport()
document_name = scribus.getDocName()
img.name = document_name.replace(".sla",".png")
img.type = 'PNG'
img.scale = 100
img.quality = 20 # 1-100, 100 = high
img.dpi = 96
# need access to the "no-background" option here for transparency!
img.save()
64
Installation and Setup / CMake Error (variables not found)
« Last post by zerubbabel on October 09, 2018, 04:28:10 pm »
I've been working my way through resolving all the dependencies to build Scribus 1.5.4 on my Debian Testing system, but have gotten to a place where I don't know how to proceed. Below is the result of my latest attempt. I would appreciate any help in getting past this point.

zerubbabel@dz:~/bin/scribus-1.5.4/build$ /usr/bin/cmake .. -DCMAKE_INSTALL_PREFIX:PATH=/home/zerubbabel/scribus-1.5.4/
-- Shared Library Flags:
-- Scribus 1.5.4 will be built and installed into /home/zerubbabel/scribus-1.5.4
-- Machine: x86_64-linux-gnu, void pointer size: 8
-- Found target X86_64
-- Building for target x86_64-linux-gnu
-- Using standard ApplicationDataDir. You can change it with -DAPPLICATION_DATA_DIR
-- Using standard ApplicationConfigDir. You can change it with -DAPPLICATION_CONFIG_DIR
-- ----- USE QT 5-----
-- ----- USE QT Widgets-----
-- ----- USE Qt5Gui -----
-- ----- USE QT 5 XML -----
-- ----- USE Qt5Network -----
-- ----- USE Qt5OpenGL -----
-- ----- USE Qt5LinguistTools -----
-- ----- USE Qt5PrintSupport -----
-- Qt VERSION: 5.11.1
-- Your Qt version is 5.7.0 or superior, enabling C++11 compiler features
-- Enabling C++11 compiler features
ZLIB Library Found OK
No OSG found, building without 3D Extension
JPEG Library Found OK
TIFF Library Found OK
Python Library Found OK
-- FreeType2 Library Found OK
CAIRO Library Found OK
CUPS Library Found OK
LIBXML2 Library Found OK
LCMS 2 ReleaseLibrary: /usr/lib/x86_64-linux-gnu/liblcms2.so
LCMS 2 Debug Library: LCMS2_LIBRARY_DEBUG-NOTFOUND
LCMS 2 Library: /usr/lib/x86_64-linux-gnu/liblcms2.so
LittleCMS-2 Library Found OK
FontConfig Found OK
-- New HUNSPELL API found
Hunspell Found OK
OpenSSL found OK for installed version of PoDoFo (>= 0.9.5) - Enabling support for PDF embedded in AI
PoDoFo found OK
-- Boost version: 1.62.0
Boost Library Found OK
Building without GraphicksMagick (use -DWANT_GRAPHICSMAGICK=1 to enable)
-- Found poppler
-- Found poppler libs: /usr/lib/x86_64-linux-gnu/libpoppler.so
-- Found poppler includes: POPPLER_INCLUDE_DIR-NOTFOUND
-- Including OpenSSL files for PoDoFo >= 0.9.5
CMake Deprecation Warning at scribus/CMakeLists.txt:1203 (cmake_policy):
  The OLD behavior for policy CMP0003 will be removed from a future version
  of CMake.

  The cmake-policies(7) manual explains that the OLD behaviors of all
  policies are deprecated and that a policy should be set to OLD only under
  specific short-term circumstances.  Projects should be ported to the NEW
  behavior and not rely on setting a policy to OLD.


RPATH: lib/scribus/plugins/;
-- Qt5::CoreQt5::WidgetsQt5::GuiQt5::XmlQt5::NetworkQt5::OpenGL/usr/lib/x86_64-linux-gnu/libxml2.so/usr/lib/x86_64-linux-gnu/libz.so
Building Corel Draw Importer with librevenge
Building Freehand Importer with librevenge
Building Pagemaker Importer with librevenge
Building MS Publisher Importer with librevenge
Building QuarkXPress Importer
Building MS-Visio Importer with librevenge
Building Zoner Draw Importer
-- Building with Scripter 1
-- No source header files will be installed
-- /home/zerubbabel/bin/scribus-1.5.4/resources/translations
-- The following GUI languages will be installed:
CMake Error: The following variables are used in this project, but they are set to NOTFOUND.
Please set them or make sure they are set and tested correctly in the CMake files:
POPPLER_INCLUDE_DIR
   used as include directory in directory /home/zerubbabel/bin/scribus-1.5.4/scribus/plugins/import/pdf
   used as include directory in directory /home/zerubbabel/bin/scribus-1.5.4/scribus/plugins/import/pdf
   used as include directory in directory /home/zerubbabel/bin/scribus-1.5.4/scribus/plugins/import/pdf
   used as include directory in directory /home/zerubbabel/bin/scribus-1.5.4/scribus/plugins/import/pdf
   used as include directory in directory /home/zerubbabel/bin/scribus-1.5.4/scribus/plugins/import/pdf
   used as include directory in directory /home/zerubbabel/bin/scribus-1.5.4/scribus/plugins/import/pdf
   used as include directory in directory /home/zerubbabel/bin/scribus-1.5.4/scribus/plugins/import/pdf
   used as include directory in directory /home/zerubbabel/bin/scribus-1.5.4/scribus/plugins/import/pdf
   used as include directory in directory /home/zerubbabel/bin/scribus-1.5.4/scribus/plugins/import/pdf

-- Configuring incomplete, errors occurred!
See also "/home/zerubbabel/bin/scribus-1.5.4/build/CMakeFiles/CMakeOutput.log".
See also "/home/zerubbabel/bin/scribus-1.5.4/build/CMakeFiles/CMakeError.log".
zerubbabel@dz:~/bin/scribus-1.5.4/build$
65
Linux / Re: Lost visibility of items - possibily after 1.5.4 upgrade
« Last post by bobbiescap on October 09, 2018, 11:46:55 am »
Sincere thanks, I will experiment.
66
Linux / Re: Lost visibility of items - possibily after 1.5.4 upgrade
« Last post by a.l.e on October 09, 2018, 11:38:37 am »
Yes!

Double click on a text frame and you can just type your text in there.

When a text frame is selected or you're in edit mode, open the "Windows > Text Properties" palette (F3) and all the power of Scribus will be shown to you : - )

P.S.: in Scribus 1.4, the text palette is part of the "Windows > Properties" palette (F2)...
67
Linux / Re: Lost visibility of items - possibily after 1.5.4 upgrade
« Last post by bobbiescap on October 09, 2018, 11:17:32 am »
Thanks for the reply,

I found after Posted that the story editor font was in white, so worked ok with a dark background. As far as the theme goes, I used default settings on Scribus since I first installed it about two years ago, and didn't realise it had alternative themes available. I have just gone through the settings and found a theme however that isn't horrendously bright, so thanks for that, much appreciated. At least I can see what icons are what.

Could I ask you further about what you say regarding usage of story editor please? I only use it if I require font changes, such as alignment, size, bold, superscript or even outline on fonts that don't have a bold version. Are you saying that these can be done outside story editor?

I am a little green with Scribus, and having cognition and memory issues from prescription medication withdrawal, so being confronted with a lot of information such as a manual is a little daunting, and I am slowly learning what an excellent and powerful application Scribus is, mainly via trial and error; with research on specific issues. Having joined the official forums now, I expect to get better with it over time.
68
Linux / Re: Lost visibility of items - possibily after 1.5.4 upgrade
« Last post by a.l.e on October 09, 2018, 08:37:16 am »
hi

i don't think that scribus 1.5 supports dark themes (yet)... so using a light theme will probably help for the readability...

and for the story editor... i don't know what you are you using it for... but try to use as much as you can the in-frame editing with the text palette... and only use the story editor when the in-frame editing is not possible (as an example when text is on its head...)
69
Beginner Talk / Re: PostScript Interpreter Resolution
« Last post by pes on October 09, 2018, 06:54:49 am »
are you loading pdfs as images?

Hi

I'm loading .EPS images into an image frame.

To be sure that the quality of the image in the final product is high enough should I when set the DPI to e.g. 300 or?

There is also a setting in the File => Export => General (TAB) => File options - saying Resolution for EPS graphics. 

Lets say that I need the final product to have e.g. 300 DPI - Should I when set the following:

File=> Preferences => External Tools => PostScript Interpreter Resolution: 300 DPI
File => Export => General (TAB) => File options - Resolution for EPS graphics: 300 DPI

or?

70
Linux / Lost visibility of items - possibily after 1.5.4 upgrade
« Last post by bobbiescap on October 09, 2018, 05:27:37 am »
Hi folks, I am using Scribus on Manjaro Stable with Cinnamon desktop. I do two monthly newsletters that have to be finished in a timely manner.

In the last week I have noticed that icons have become nearly unusable, and text is not visible in the Story Editor unless it is highlighted. In the Story Editor screenshot I had a portion of text highlighted but lost it when I took the screenshot. Also menu items have moved around, I used to access the story editor in the main RH click menu, but now it is in a sub menu, which is why I think it is version related.

I have not changed any desktop theme elements, or anything else I can think of that could be causing it, and am thinking that the version has been updated recently, as I performed a bunch of upgrades from the command line.

I have not been able to find a method of changing appearance of the GUI, and it has really slowed down my productivity.

Any suggestions would be much appreciated.
Pages: 1 2 3 4 5 6 [7] 8 9 10
palmate